public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libpwquality/
Date: Fri,  1 Mar 2024 16:29:25 +0000 (UTC)	[thread overview]
Message-ID: <1709310553.e58fd04c167b4a234ad0f79b02cc186565a5ca8b.sam@gentoo> (raw)

commit:     e58fd04c167b4a234ad0f79b02cc186565a5ca8b
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Mar  1 16:26:47 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Mar  1 16:29:13 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e58fd04c

dev-libs/libpwquality: drop usr-ldscript hacks

We're removing usr-ldscript per the recent news item, but this also
breaks with USE=static-libs.

Drop all the hacks for relocating the libraries. Keep installing the PAM
module to / though as other PAM modules too.

(Also, drop a patch which was already merged in 1.4.5.)

Closes: https://bugs.gentoo.org/920823
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/libpwquality/libpwquality-1.4.5-r1.ebuild | 74 ++++++++++++++++++++++
 1 file changed, 74 insertions(+)

diff --git a/dev-libs/libpwquality/libpwquality-1.4.5-r1.ebuild b/dev-libs/libpwquality/libpwquality-1.4.5-r1.ebuild
new file mode 100644
index 000000000000..e78148abc8f3
--- /dev/null
+++ b/dev-libs/libpwquality/libpwquality-1.4.5-r1.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+inherit pam python-r1
+
+DESCRIPTION="Library for password quality checking and generating random passwords"
+HOMEPAGE="https://github.com/libpwquality/libpwquality"
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/${P}/${P}.tar.bz2"
+
+LICENSE="|| ( BSD GPL-2 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="pam python static-libs"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+BDEPEND="
+	>=sys-devel/gettext-0.18.2
+	virtual/pkgconfig
+"
+RDEPEND="
+	>=sys-libs/cracklib-2.8:=[static-libs(+)?]
+	pam? ( sys-libs/pam )
+	python? ( ${PYTHON_DEPS} )
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	default
+
+	if use python ; then
+		# bug #830397
+		export SETUPTOOLS_USE_DISTUTILS=stdlib
+		python_copy_sources
+	fi
+}
+
+src_configure() {
+	# Install library in /lib for pam
+	configuring() {
+		local sitedir
+		econf \
+			--libdir="${EPREFIX}/usr/$(get_libdir)" \
+			$(use_enable pam) \
+			--with-securedir="${EPREFIX}/$(getpam_mod_dir)" \
+			$(use_enable python python-bindings) \
+			$(usex python "--with-pythonsitedir=$(use python && python_get_sitedir)" "") \
+			$(use_enable static-libs static)
+	}
+	if_use_python_python_foreach_impl configuring
+}
+
+src_compile() {
+	if_use_python_python_foreach_impl default
+}
+
+src_test() {
+	if_use_python_python_foreach_impl default
+}
+
+src_install() {
+	if_use_python_python_foreach_impl default
+	find "${ED}" -name '*.la' -delete || die
+}
+
+if_use_python_python_foreach_impl() {
+	if use python; then
+		python_foreach_impl run_in_build_dir "$@"
+	else
+		"$@"
+	fi
+}


             reply	other threads:[~2024-03-01 16:29 UTC|newest]

Thread overview: 85+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-03-01 16:29 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-28 13:19 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libpwquality/ Sam James
2024-05-28 13:19 Sam James
2024-05-28 12:35 Sam James
2024-05-28 12:35 Sam James
2024-05-28 12:04 Michał Górny
2024-04-29 19:16 Andrew Ammerlaan
2024-04-28 19:11 Ionen Wolkens
2024-04-09 22:46 Sam James
2024-04-07  9:14 Arthur Zamarin
2024-04-07  6:56 Arthur Zamarin
2024-04-07  6:27 Arthur Zamarin
2024-04-06 21:07 Arthur Zamarin
2024-03-11 21:33 Sam James
2022-12-22 11:15 Arthur Zamarin
2022-12-22 11:13 Arthur Zamarin
2022-12-17  6:45 Arthur Zamarin
2022-12-16 20:57 Arthur Zamarin
2022-12-16 20:30 Arthur Zamarin
2022-12-04  3:03 Matt Turner
2022-11-18 17:34 Mart Raudsepp
2022-11-16 18:10 Arthur Zamarin
2022-11-05 18:58 Arthur Zamarin
2022-11-05  9:58 Arthur Zamarin
2022-11-05  9:44 Arthur Zamarin
2022-10-30  1:50 Matt Turner
2022-05-29 20:17 Andreas K. Hüttel
2022-05-13 20:24 Arthur Zamarin
2022-05-08 19:05 Jakov Smolić
2022-05-08 19:05 Jakov Smolić
2022-05-08 19:04 Jakov Smolić
2022-05-05  2:40 WANG Xuerui
2022-04-22  0:20 Sam James
2022-04-22  0:20 Sam James
2022-04-16 20:09 Matt Turner
2021-04-13 15:00 Sam James
2021-04-12 16:02 Sam James
2021-03-16 18:10 Sergei Trofimovich
2021-03-15 18:06 Sergei Trofimovich
2020-11-11  4:25 Matt Turner
2020-10-21 11:54 David Seifert
2020-05-01  8:35 Mart Raudsepp
2020-04-30  7:09 Sergei Trofimovich
2020-04-14 17:05 Mart Raudsepp
2020-04-08 20:40 Göktürk Yüksek
2020-02-11 10:52 Agostino Sarubbo
2020-01-28  7:41 Agostino Sarubbo
2020-01-27 14:28 Agostino Sarubbo
2020-01-27 12:44 Agostino Sarubbo
2020-01-27  9:45 Mikle Kolyada
2020-01-27  8:10 Sergei Trofimovich
2020-01-26 22:39 Thomas Deutschmann
2020-01-11 20:32 Mart Raudsepp
2020-01-11 20:32 Mart Raudsepp
2020-01-01 15:25 Agostino Sarubbo
2019-12-24 20:36 Sergei Trofimovich
2019-12-09  9:14 Agostino Sarubbo
2019-12-09  9:11 Agostino Sarubbo
2019-12-09  0:10 Aaron Bauman
2019-12-08 11:59 Mikle Kolyada
2019-12-08 11:58 Mikle Kolyada
2019-12-04 20:32 Matt Turner
2019-10-12 18:59 Mikle Kolyada
2019-09-17 17:08 Mart Raudsepp
2019-08-04 20:09 Mart Raudsepp
2019-08-04 20:09 Mart Raudsepp
2019-08-04 14:45 Alexey Shvetsov
2019-08-04 13:58 Alexey Shvetsov
2018-03-13 23:02 Mart Raudsepp
2018-03-02 17:07 Mart Raudsepp
2018-01-17 19:18 Mike Gilbert
2017-12-27  8:35 Markus Meier
2017-12-02 10:41 Sergei Trofimovich
2017-11-23 20:47 Sergei Trofimovich
2017-11-18 13:20 Sergei Trofimovich
2017-11-06 20:49 Tobias Klausmann
2017-11-04 13:04 Sergei Trofimovich
2017-08-27 10:03 Gilles Dartiguelongue
2017-04-28 14:40 Manuel Rüger
2017-01-04 22:37 Gilles Dartiguelongue
2016-03-30 23:48 Mike Frysinger
2016-03-30 23:48 Mike Frysinger
2015-10-03  8:30 Markus Meier
2015-09-05 16:27 Pacho Ramos
2015-09-05 16:26 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1709310553.e58fd04c167b4a234ad0f79b02cc186565a5ca8b.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox